SofizPay Logo

SofizPay

SofizPay Logo
SofizPay
Documentation Technique
API de Paiement de Factures

API de Paiement de Factures

Payez vos factures de services publics rapidement et en toute sécurité via notre API unifiée

Point de Terminaison API

POSThttps://sofizpay.com/services/operation_post

Ce point de terminaison gère les opérations de paiement de factures pour les services publics pris en charge

ADE

ADE

Algérienne Des Eaux

Exemple de Requête

bash
curl --location 'https://sofizpay.com/services/operation_post' \
--header 'Content-Type: application/json' \
--data '{      
    "encrypted_sk": "YOUR_ENCRYPTED_SECRET_KEY",
    "amount": 2000,
    "operator": "ade",
    "offer": "ade",
    "bill": "YOUR_BILL_NUMBER"
}'
Opérateur de Service
"ade"
Champs Requis
encrypted_sk
amount
operator
offer
bill
Sonelgaz

Sonelgaz

Société Nationale de l'Électricité et du Gaz

Exemple de Requête

bash
curl --location 'https://sofizpay.com/services/operation_post' \
--header 'Content-Type: application/json' \
--data '{      
    "encrypted_sk": "YOUR_ENCRYPTED_SECRET_KEY",
    "amount": 2000,
    "operator": "sonelgaz",
    "offer": "sonelgaz",
    "customerId": "YOUR_CUSTOMER_ID",
    "ebb": "YOUR_EBB_NUMBER",
    "bill": "YOUR_BILL_NUMBER"
}'
Opérateur de Service
"sonelgaz"
Champs Requis
encrypted_sk
amount
operator
offer
customerId
ebb
bill
Algérie Télécom

Algérie Télécom

Algérie Télécom

Exemple de Requête

bash
curl --location 'https://sofizpay.com/services/operation_post' \
--header 'Content-Type: application/json' \
--data '{      
    "encrypted_sk": "YOUR_ENCRYPTED_SECRET_KEY",
    "amount": 20000,
    "operator": "algerie_telecom",
    "offer": "algerie_telecom",
    "phone": "YOUR_PHONE_NUMBER",
    "bill": "YOUR_BILL_NUMBER"
}'
Opérateur de Service
"algerie_telecom"
Champs Requis
encrypted_sk
amount
operator
offer
phone
bill

Paramètres de Requête

ParamètreTypeDescriptionRequis Pour
encrypted_skstringClé secrète chiffrée pour l'authentificationAll
amountnumberMontant du paiement en DZDAll
operatorstringFournisseur de service: ade, sonelgaz, ou algerie_telecomAll
offerstringType d'offre de service (identique à l'opérateur)All
billstringNuméro de facture ou référenceAll
customerIdstringID client pour SonelgazSonelgaz
ebbstringNuméro EBB pour SonelgazSonelgaz
phonestringNuméro de téléphone pour Algérie TélécomAlgérie Télécom

Réponse de Succès (200)

json
{
    "status": "success",
    "message": "Bill payment completed successfully",
    "operation_id": "YOUR_OPERATION_ID",
    "transaction_id": "YOUR_TRANSACTION_ID",
    "transaction_status": "confirmed"
}

Note: Le paiement de la facture sera traité et la confirmation sera envoyée à la fin.